import { Key, Values } from "../../libs/types";
export interface Options {
    /** assumes entire values are in one string separated by pattern */
    separatedBy?: string | RegExp;
    /** makes array that has 1 element if input value is not an array */
    toArray?: boolean;
}
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */
export declare function applyTo<T>(values: Values, options: Options, keyStack: Key[]): values is Values<T>;
