import { Key, Values } from "../../libs/types";
export interface Options {
    /** does not convert type; causes error if type does not match */
    strictType?: boolean;
    /** accepts all number value not only 0 and 1 (0 means false, others true) */
    acceptsAllNumbers?: boolean;
}
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */
export declare function applyTo(values: Values, options: Options, keyStack: Key[]): values is Values<boolean>;
