import { CAUSE, ValueSchemaError } from "../libs/ValueSchemaError.mjs";
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */

export function applyTo(values, options, keyStack) {
  if (options.converter === undefined) {
    return false;
  }

  values.output = options.converter(values.output, () => {
    return ValueSchemaError.raise(CAUSE.CONVERTER, values, keyStack);
  });
  return true;
}