"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.applyTo = void 0;

var ValueSchemaError_1 = require("../libs/ValueSchemaError");
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */


function applyTo(values, options, keyStack) {
  if (values.output !== undefined) {
    return false;
  }

  if (options.ifUndefined !== undefined) {
    values.output = options.ifUndefined;
    return true;
  }

  return ValueSchemaError_1.ValueSchemaError.raise(ValueSchemaError_1.CAUSE.UNDEFINED, values, keyStack);
}

exports.applyTo = applyTo;