import * as string from "../../libs/string.mjs";
import { isString } from "../../libs/types.mjs";
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */

export function applyTo(values, options, keyStack) {
  const normalizedOptions = {
    acceptsFullWidth: false,
    ...options
  };

  if (!normalizedOptions.acceptsFullWidth) {
    return false;
  } // istanbul ignore next


  if (!isString(values.output)) {
    return false;
  }

  values.output = string.toHalfWidth(values.output, /[０-９ａ-ｚＡ-Ｚ．＋－]+/g);
  return false;
}