import { Key, Values } from "../../libs/types";
declare type MaxValue = {
    /** maximum value */
    value: number;
    /** true to adjust if input is greater than "value" / false to error */
    adjusts: boolean;
};
declare type MaxValueLike = number | MaxValue;
export interface Options {
    /** maximum value (value or object) */
    maxValue?: MaxValueLike;
}
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */
export declare function applyTo(values: Values, options: Options, keyStack: Key[]): values is Values<number>;
export {};
