import { Key, Values } from "../../libs/types";
declare type MinValue = {
    /** minimum value */
    value: number;
    /** true to adjust if input is less than "value" / false to error */
    adjusts: boolean;
};
declare type MinValueLike = number | MinValue;
export interface Options {
    /** minimum value (value or object) */
    minValue?: MinValueLike;
}
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */
export declare function applyTo(values: Values, options: Options, keyStack: Key[]): values is Values<number>;
export {};
