import { Key, Values } from "../../libs/types";
export declare enum INTEGER {
    /** does not care */
    NO = "no",
    /** must be integer; causes error if otherwise */
    YES = "yes",
    /** rounds down (towards minus infinity) */
    FLOOR = "floor",
    /** rounds towards 0 (away from infinity) */
    FLOOR_RZ = "floor-rz",
    /** rounds up (towards plus infinity) */
    CEIL = "ceil",
    /** rounds away from 0 (towards infinity) */
    CEIL_RI = "ceil-ri",
    /** rounds half up (towards positive infinity) */
    HALF_UP = "half-up",
    /** rounds half towards zero (away from infinity) */
    HALF_UP_RZ = "half-up-rz",
    /** rounds half down (towards negative infinity) */
    HALF_DOWN = "half-down",
    /** rounds half away from zero (towards infinity) */
    HALF_DOWN_RZ = "half-down-rz"
}
declare type IntegerLike = boolean | INTEGER;
export interface Options {
    /** does not convert type; causes error if type does not match */
    strictType?: boolean;
    /** accepts string with special format; e.g., "1e+2", "0x100" */
    acceptsSpecialFormats?: boolean;
    /** needs integer */
    integer?: IntegerLike;
}
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */
export declare function applyTo(values: Values, options: Options, keyStack: Key[]): values is Values<number>;
export {};
