import { Key, Values } from "../../libs/types";
export declare enum CHECKSUM_ALGORITHM {
    /** Luhn algorithm; used in credit card and IMEI (also known as MOD-10 algorithm) */
    LUHN = "luhn",
    /** checksum as credit card; equivalent to LUHN */
    CREDIT_CARD = "luhn",
    /** modulus10/weight3:1 algorithm; used in ISBN13, EAN and JAN */
    MODULUS10_WEIGHT3_1 = "modulus10/weight3:1",
    /** ISBN-13; equivalent to MODULUS10_WEIGHT3_1 */
    ISBN13 = "modulus10/weight3:1",
    /** EAN code; equivalent to MODULUS10_WEIGHT3_1 */
    EAN = "modulus10/weight3:1",
    /** JAN code; equivalent to MODULUS10_WEIGHT3_1 */
    JAN = "modulus10/weight3:1"
}
export interface Options {
    /** uses checksum */
    checksum?: CHECKSUM_ALGORITHM;
}
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */
export declare function applyTo(values: Values, options: Options, keyStack: Key[]): values is Values<string>;
