import { isArray } from "../../libs/types.mjs";
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */

export function applyTo(values, options, keyStack) {
  const normalizedOptions = {
    joinsArray: false,
    ...options
  };

  if (!normalizedOptions.joinsArray) {
    return false;
  } // istanbul ignore next


  if (!isArray(values.output)) {
    return false;
  }

  values.output = values.output.join("");
  return false;
}