import { isString } from "../../libs/types.mjs";
import { CAUSE, ValueSchemaError } from "../../libs/ValueSchemaError.mjs";
const REGEXP = /^\d+$/;
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */

export function applyTo(values, options, keyStack) {
  // istanbul ignore next
  if (!isString(values.output)) {
    return false;
  }

  if (REGEXP.test(values.output)) {
    return false;
  }

  return ValueSchemaError.raise(CAUSE.PATTERN, values, keyStack);
}