"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.applyTo = void 0;

var types_1 = require("../../libs/types");
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */


function applyTo(values, options, keyStack) {
  if (options.separatedBy === undefined) {
    return false;
  } // istanbul ignore next


  if (!(0, types_1.isString)(values.output)) {
    return false;
  }

  values.output = values.output.split(options.separatedBy).join("");
  return false;
}

exports.applyTo = applyTo;