import { isString } from "../../libs/types.mjs";
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */

export function applyTo(values, options, keyStack) {
  if (options.separatedBy === undefined) {
    return false;
  } // istanbul ignore next


  if (!isString(values.output)) {
    return false;
  }

  values.output = values.output.split(options.separatedBy).join("");
  return false;
}