import { Key, ObjectTypeOf, SchemaObject, Values } from "../../libs/types";
export interface Options<S> {
    /** schema object */
    schemaObject?: S;
}
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack path to key that caused error
 * @returns ends applying
 * @throws {ValueSchemaError}
 */
export declare function applyTo<S extends SchemaObject>(values: Values, options: Options<S>, keyStack: Key[]): values is Values<ObjectTypeOf<S>>;
