import { applySchemaObjectCore } from "../../libs/applySchemaObjectCore.mjs";
import { onErrorDefault, onFinishedDefault } from "../../schemaClasses/BaseSchema.mjs";
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack path to key that caused error
 * @returns ends applying
 * @throws {ValueSchemaError}
 */

export function applyTo(values, options, keyStack) {
  if (options.schemaObject === undefined) {
    return false;
  }

  values.output = applySchemaObjectCore(options.schemaObject, values.output, onErrorDefault, onFinishedDefault, keyStack);
  return false;
}