import { isObject } from "../../libs/types.mjs";
import { CAUSE, ValueSchemaError } from "../../libs/ValueSchemaError.mjs";
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */

export function applyTo(values, options, keyStack) {
  if (isObject(values.output)) {
    // already object
    return false;
  }

  return ValueSchemaError.raise(CAUSE.TYPE, values, keyStack);
}