import { Key, Values } from "../libs/types";
export interface Options<T> {
    /** accepts only specified values */
    only?: T[];
}
/** read-only array */
export interface OptionsReadonly<T> {
    /** accepts only specified values */
    only?: readonly T[];
}
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */
export declare function applyTo<T>(values: Values, options: Options<T>, keyStack: Key[]): values is Values<T>;
