import { CAUSE, ValueSchemaError } from "../libs/ValueSchemaError.mjs";
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */

export function applyTo(values, options, keyStack) {
  const normalizedOptions = {
    only: [],
    ...options
  };

  if (normalizedOptions.only.length === 0) {
    return false;
  } // Array.prototype.include() might not exist in old version


  for (const value of normalizedOptions.only) {
    if (values.output === value) {
      return true;
    }
  }

  return ValueSchemaError.raise(CAUSE.ONLY, values, keyStack);
}