import { Key, Values } from "../../libs/types";
declare type MaxLength = {
    /** maximum length of string */
    length: number;
    /** removes trailing characters if too long */
    trims: boolean;
};
declare type MaxLengthLike = number | MaxLength;
export interface Options {
    /** maximum length of string */
    maxLength?: MaxLengthLike;
}
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */
export declare function applyTo(values: Values, options: Options, keyStack: Key[]): values is Values<string>;
export {};
