import { Key, Values } from "../../libs/types";
export declare const PATTERN: {
    /** email address; compliant with RFC-5321/5322 */
    EMAIL: RegExp;
    /** HTTP URI; compliant with RFC-3986 */
    HTTP: RegExp;
    /** IPv4 format */
    IPV4: RegExp;
    /** IPv6 format */
    IPV6: RegExp;
    /** URI; compliant with RFC-3986 */
    URI: RegExp;
    /** UUID format */
    UUID: RegExp;
};
export interface Options {
    /** acceptable pattern (regular expression) */
    pattern?: RegExp;
}
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns applied value
 */
export declare function applyTo(values: Values, options: Options, keyStack: Key[]): values is Values<string>;
