"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.REGEXP_EMAIL = exports.PATTERN_EMAIL = void 0;

var ipv4_1 = require("./ipv4");

var ipv6_1 = require("./ipv6"); // https://tools.ietf.org/html/rfc5321
// https://tools.ietf.org/html/rfc5322


var PATTERN_CHARSET_DOT = "\\w!#$%&'*+\\-\\/=?^`{|}~";
var PATTERN_CHARSET_QUOTED = PATTERN_CHARSET_DOT + ". ()<>\\[\\]:;@,";
var PATTERN_CHARSET_TLD = "a-zA-Z";
var PATTERN_CHARSET_SLD = PATTERN_CHARSET_TLD + "\\d\\-";
var PATTERN_CLASS_DOT = "[" + PATTERN_CHARSET_DOT + "]";
var PATTERN_CLASS_QUOTED = "[" + PATTERN_CHARSET_QUOTED + "]";
var PATTERN_CLASS_TLD = "[" + PATTERN_CHARSET_TLD + "]";
var PATTERN_CLASS_SLD = "[" + PATTERN_CHARSET_SLD + "]";
var PATTERN_COMPONENT_DOT = PATTERN_CLASS_DOT + "+";
var PATTERN_COMPONENT_QUOTED = "(" + PATTERN_CLASS_QUOTED + "|\\\\[\\\\\"])+";
var PATTERN_COMPONENT_TLD = PATTERN_CLASS_TLD + "+";
var PATTERN_COMPONENT_SLD = PATTERN_CLASS_SLD + "+";
var PATTERN_LOCAL_DOT = PATTERN_COMPONENT_DOT + "(\\." + PATTERN_COMPONENT_DOT + ")*";
var PATTERN_LOCAL_QUOTED = "\"" + PATTERN_COMPONENT_QUOTED + "\"";
var PATTERN_LOCAL = "(" + PATTERN_LOCAL_DOT + "|" + PATTERN_LOCAL_QUOTED + ")";
var PATTERN_DOMAIN_GENERAL = "(" + PATTERN_COMPONENT_SLD + "\\.)+" + PATTERN_COMPONENT_TLD;
var PATTERN_DOMAIN_IP = "\\[(" + ipv4_1.PATTERN_IPV4 + "|IPv6:" + ipv6_1.PATTERN_IPV6 + ")\\]";
var PATTERN_DOMAIN = "(" + PATTERN_DOMAIN_GENERAL + "|" + PATTERN_DOMAIN_IP + ")";
exports.PATTERN_EMAIL = PATTERN_LOCAL + "@" + PATTERN_DOMAIN;
exports.REGEXP_EMAIL = new RegExp("^" + exports.PATTERN_EMAIL + "$");